package Gamla::TextStream::BufRef;

use strict;

use Gamla::TextStream;

use vars qw(@ISA);

@ISA=qw(Gamla::TextStream);

my $class_name = "Gamla::TextStream::Buffer";

sub initialize
{
    my $self = shift;

    my $ref = shift;

    my $func_name = "initialize";

    $self->{'buf_ref'} = $ref;

    return ([[0, $class_name."::".$func_name."()", ""]], [ @_ ]);
}

sub append
{
    my $self = shift;

    ${$self->{'buf_ref'}} .= shift;

    return 0;
}

# We don't have to flush
sub flush
{
    return 0;
}
